<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateAddressesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: addresses
         */
        Schema::create('addresses', function ($table) {
            $table->increments('id');
            $table->integer('seller_id')->nullable();
            $table->tinyInteger('default')->nullable();
            $table->string('address_line1', 255)->nullable();
            $table->string('address_line2', 255)->nullable();
            $table->integer('country')->nullable();
            $table->string('zip', 255)->nullable();
            $table->string('url', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('addresses');
    }
}
