<?php

namespace Chemical\Address\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AddressTransformer extends TransformerAbstract
{
    public function transform(\Chemical\Address\Models\Address $address)
    {
        return [
            'id'                => $address->getRouteKey(),
            'key'               => [
                'public'    => $address->getPublicKey(),
                'route'     => $address->getRouteKey(),
            ], 
            'id'                => $address->id,
            'seller_id'         => $address->seller_id,
            'default'           => $address->default,
            'address_line1'     => $address->address_line1,
            'address_line2'     => $address->address_line2,
            'country'           => $address->country,
            'zip'               => $address->zip,
            'url'               => $address->url,
            'deleted_at'        => $address->deleted_at,
            'created_at'        => $address->created_at,
            'updated_at'        => $address->updated_at,
            'url'               => [
                'public'    => trans_url('address/'.$address->getPublicKey()),
                'user'      => guard_url('address/address/'.$address->getRouteKey()),
            ], 
            'status'            => trans('app.'.$address->status),
            'created_at'        => format_date($address->created_at),
            'updated_at'        => format_date($address->updated_at),
        ];
    }
}